/*
 * Segment 8 Parametrierung und Konfiguration, SWE 8.2 Parametrierung - Bibliothek
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.puk.param.lib.app;

import de.bsvrz.dav.daf.main.ClientDavInterface;
import de.bsvrz.puk.param.lib.MethodenBibliothek;
import de.bsvrz.sys.funclib.application.StandardApplication;
import de.bsvrz.sys.funclib.application.StandardApplicationRunner;
import de.bsvrz.sys.funclib.commandLineArgs.ArgumentList;
import de.bsvrz.sys.funclib.debug.Debug;

/**
 * Applikation, die einen Auftrag zur Erstellung eines Backups an die aktuelle
 * Parametrierungsapplikation versendet.
 *
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class BackupRequester implements StandardApplication {

	@Override
	public void parseArguments(final ArgumentList argumentList)
			throws Exception {
		// es werden keine zusätzlichen Argumente erwartet
	}

	@Override
	public void initialize(final ClientDavInterface connection)
			throws Exception {

		if (connection == null) {
			Debug.getLogger().error(
					"Es besteht keine Datenverteilerverbindung!");
		}

		final Boolean result = MethodenBibliothek.getParameterManager(
				connection).requestBackup();
		Debug.getLogger().fine("Ergebnis der Backup-Anforderung: " + result);
		System.exit(0);
	}

	/**
	 * Hauptfunktion des Programms.
	 *
	 * @param args
	 *            die Argumente von der Kommandozeile
	 */
	public static void main(final String[] args) {
		StandardApplicationRunner.run(new BackupRequester(), args);
	}
}
